package com.srs.teacher.mapper;

import java.util.List;

import com.srs.teacher.domain.SysPerformance;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 综合绩效Mapper接口
 *
 * @author srs
 * @date 2024-06-16
 */
public interface SysPerformanceMapper extends BaseMapper<SysPerformance> {
    /**
     * 查询综合绩效
     *
     * @param id 综合绩效主键
     * @return 综合绩效
     */
    public SysPerformance selectSysPerformanceById(Long id);

    public SysPerformance selectSysPerformanceByYears(@Param("years") String years, @Param("fdName") String fdName);

    /**
     * 查询综合绩效列表
     *
     * @param sysPerformance 综合绩效
     * @return 综合绩效集合
     */
    List<SysPerformance> selectSysPerformanceList(SysPerformance sysPerformance);

    /**
     * 新增综合绩效
     *
     * @param sysPerformance 综合绩效
     * @return 结果
     */
    int insertSysPerformance(SysPerformance sysPerformance);

    /**
     * 修改综合绩效
     *
     * @param sysPerformance 综合绩效
     * @return 结果
     */
    int updateSysPerformance(SysPerformance sysPerformance);

    /**
     * 删除综合绩效
     *
     * @param id 综合绩效主键
     * @return 结果
     */
    int deleteSysPerformanceById(Long id);

    /**
     * 批量删除综合绩效
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysPerformanceByIds(Long[] ids);
}
